Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Get topic info

/api/v1/xiaohongshu/app_v2/get_topic_infosync$0.015 / call

Get topic detail info, including topic name, view count, discussion count, share info, etc. (TikHub · Xiaohongshu App V2)

Input
  • page_idstringrequired

    Topic page ID

  • sourcestring

    Source (default "normal")

  • note_idstring

    Source note ID, pass when jumping from note to topic (default "")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_topic_info","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.